%define		lib_name %mklibname dxr3_ %{lib_major}
%define		lib_major 0

Name:		em8300
Version:	0.13.0
Release:	8mdk
URL:		http://dxr3.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Source1:	em8300-modoptions.bz2
# (fc) 0.13.0-1mdk fix misc dir location
Patch0:		em8300-0.13.0-miscdir.patch.bz2
# (fc) 0.13.0-2mdk fix em8300setup return code
Patch1:		em8300-0.13.0-returncode.patch.bz2
Group:		System/Kernel and hardware
License:	GPL
BuildRequires:	gtk-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Summary:	Utilities for Hollywood plus / DXR3 device driver for Linux
Provides:	perl(em8300)

%description
This package contains utilities that can be used by packages
developed for use with the Hollywood plus or DXR3 MPEG
decoder cards.

For futher info. see http://dxr3.sourceforge.net/

%package -n %{lib_name}
Summary: Libraries for Hollywood plus / DXR3 device driver for Linux
Group: System/Libraries
Requires: %{name} >= %{version}-%{release}

%description -n %{lib_name}
This package contains libraries that can be used by packages
developed for use with the Hollywood plus or DXR3 MPEG
decoder cards.

%package -n %{lib_name}-devel
Summary: Development Libraries & includes for DXR3 device
Group: Development/Other
Requires: %{lib_name} = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: libdxr3-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This contains the development libraries used when
building an application that will make use of the
shared objects in the em8300 package.

%prep
%setup -q
%patch0 -p1 -b .miscdir
%patch1 -p1 -b .returncode

bzcat %{SOURCE1} > modules/README-modoptions

%build

CFLAGS="-fPIC" %configure
%make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/devfs/conf.d/

cp modules/*.uc $RPM_BUILD_ROOT%{_datadir}/em8300
cp modules/devfs_symlinks $RPM_BUILD_ROOT%{_sysconfdir}/devfs/conf.d/em8300.conf

# remove this script, it is broken and causes kernel oops
rm -f $RPM_BUILD_ROOT%{_datadir}/em8300/microcode_upload.pl

%post
killall -HUP devfsd 2>/dev/null || :

%postun
killall -HUP devfsd 2>/dev/null || :

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name}  -p /sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog modules/README-* modules/INSTALL
%config(noreplace) %{_sysconfdir}/devfs/conf.d/*
%{_bindir}/*
%{_datadir}/em8300

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_includedir}/libdxr3
%{_includedir}/linux/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13.0-8mdk
- Update modules documentation to be in sync with kernel modules

* Tue Sep  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.13.0-7mdk
- fix buildrequires

* Tue Jul  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.13.0-6mdk
- rebuild for new rpm

* Mon May 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.13.0-5mdk
- fix perl provides

* Sun May 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.13.0-4mdk
- add missing .so symlink to the devel package

* Wed Apr 23 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13.0-3mdk
- Fix devel provides/requires

* Sat Apr 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13.0-2mdk
- Patch1: fix em8300setup return code

* Sat Apr 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13.0-1mdk
- Release 0.13.0
- Patch0: fix misc dir location

* Fri Jun  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.0-4mdk
- Fix dependencies again..

* Fri Jun  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.0-3mdk
- Fix dependencies
- Add missing files
- Add devfs support

* Tue May  7 2002 Stefan van der Eijk <stefan@eijk.nu> 0.12.0-2mdk
- BuildRequires

* Thu May  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.0-1mdk
- Initial Mdk release

* Tue Sep 25 2001 Andrew Meredith <andrew@anvil.org>
- Removed extranious line from devel file list.

* Tue Sep 25 2001 Akos Szabo <fonya@fatav.hu>
- Remove docs section from kmods, and devel
- Added Provides to the kmods

* Tue Mar 13 2001 Andrew Meredith <andrew@anvil.org>
- Added em8300-kmods package

* Mon Mar 12 2001 Andrew Meredith <andrew@anvil.org>
- First draft of rpm package for em8300 including
  both main em8300 and em8300-devel.

